package splash_screen_on_boot;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

public class Main extends Application {

    private static final String SPALSH_SCREEN_ON_BOOT_FXML_PATH = "../fxmls/spalsh_screen_on_boot.fxml";

    private Parent loadStartingPanel(Stage primaryStage) throws IOException {
        Parent root = FXMLLoader.load(getClass().getResource(SPALSH_SCREEN_ON_BOOT_FXML_PATH));
        primaryStage.setTitle("Voting Station");
        primaryStage.setScene(new Scene(root, 560, 360));
        primaryStage.show();
        return root;
    }

    @Override
    public void start(Stage primaryStage) throws Exception{
        loadStartingPanel(primaryStage);
    }

    public static void main(String[] args) throws InterruptedException {
        launch(args);
    }
}
